TargetHistoryTable (cpptasks 1.0b5 API)
Keywords: net.sf.antcontrib.cpptasks.TargetHistoryTable class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TargetHistoryTable

    java.lang.Object
      net.sf.antcontrib.cpptasks.TargetHistoryTable

    public final class TargetHistoryTable

extends java.lang.Object

A history of the compiler and linker settings used to build the files in the same directory as the history.

Author:
  Curt Arnold

Constructor Summary
`TargetHistoryTable(CCTask task, java.io.File outputDir)` Creates a target history table from history.xml in the output directory, if it exists.

Method Summary
`void` | `commit()`
`TargetHistory` | `get(java.lang.String configId, java.lang.String outputName)`
`void` | `markForRebuild(java.util.Hashtable targetInfos)`
`void` | `markForRebuild(TargetInfo targetInfo)`
`void` | `update(ProcessorConfiguration config, java.lang.String[] sources, VersionInfo versionInfo)`
`void` | `update(TargetInfo linkTarget)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TargetHistoryTable

    public TargetHistoryTable(CCTask task,
                              java.io.File outputDir)
                       throws org.apache.tools.ant.BuildException

  Creates a target history table from history.xml in the output directory, if it exists. Otherwise, initializes the history table empty.

  Parameters:
    `task` - task used for logging history load errors
    `outputDir` - output directory for task
  Throws:
    `org.apache.tools.ant.BuildException`

Method Detail

### commit

    public void commit()
                throws java.io.IOException

  Throws:
    `java.io.IOException`

### get

    public TargetHistory get(java.lang.String configId,
                             java.lang.String outputName)

### markForRebuild

    public void markForRebuild(java.util.Hashtable targetInfos)

### markForRebuild

    public void markForRebuild(TargetInfo targetInfo)

### update

    public void update(ProcessorConfiguration config,
                       java.lang.String[] sources,
                       VersionInfo versionInfo)

### update

    public void update(TargetInfo linkTarget)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.